org.eclipse.osgi.service.resolver

## Interface HostSpecification

All Superinterfaces:
  Cloneable, VersionConstraint

    public interface HostSpecification
    extends VersionConstraint

A representation of one host bundle constraint as seen in a bundle manifest and managed by a state and resolver.

This interface is not intended to be implemented by clients. The `StateObjectFactory` should be used to construct instances.

Since:
  3.1
Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`BundleDescription[]` `getHosts()` Returns the list of host BundleDescriptions that satisfy this HostSpecification
`boolean` `isMultiHost()` Returns if this HostSpecification is allowed to have multiple hosts

### Methods inherited from interface org.eclipse.osgi.service.resolver.VersionConstraint

`getBundle, getName, getRequirement, getSupplier, getUserObject, getVersionRange, isResolved, isSatisfiedBy, setUserObject`

### Method Detail

#### getHosts

    BundleDescription[] getHosts()

Returns the list of host BundleDescriptions that satisfy this HostSpecification

Returns:
  the list of host BundleDescriptions that satisfy this HostSpecification

#### isMultiHost

    boolean isMultiHost()

Returns if this HostSpecification is allowed to have multiple hosts

Returns:
  true if this HostSpecification is allowed to have multiple hosts